<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('records', function (Blueprint $table) {
            $table->dropIndex(['schema', 'status']);
            $table->index(['schema', '_sys->updatedAt','status']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('records', function (Blueprint $table) {

            $table->dropIndex(['schema', '_sys->updatedAt','status']);
            $table->index(['schema', 'status']);
        });
    }
};
